File libyui-ncurses-pkg.changes of Package libyui-ncurses-pkg

-------------------------------------------------------------------
Thu Sep  5 15:39:32 UTC 2019 - Ladislav Slezák <lslezak@suse.cz>

- Added a new generic dependency to force upgrade from all previous
  versions (e.g. from libyui-ncurses-pkg9 to libyui-ncurses-pkg10)
  (bsc#1148622)
- 2.49.1

-------------------------------------------------------------------
Thu Apr 11 14:03:53 UTC 2019 - Ladislav Slezák <lslezak@suse.cz>

- Bump the .so version to 10 to be compatible with the other
  libyui packages (bsc#1132247)
- 2.49.0

-------------------------------------------------------------------
Wed Oct 24 12:58:23 WEST 2018 - igonzalezsosa@suse.com

- Remove the RPM Groups view (FATE#326485).
- 2.48.9

-------------------------------------------------------------------
Tue Aug 21 09:49:14 CEST 2018 - schubi@suse.de

- Changed dir of COPYING file.

-------------------------------------------------------------------
Fri Jul 27 07:16:41 UTC 2018 - lslezak@suse.cz

- Fix for the new FSize class (avoid the 8EiB limit, bsc#991090)
- Update the package version
- 2.48.8

-------------------------------------------------------------------
Tue Jul  3 12:07:43 UTC 2018 - lslezak@suse.cz

- Fixes for file systems >8EiB (bsc#991090):
  - Do not display "out of disk space" error at start when such
    a large disk is present in the system
  - Fixed displaying negative disk sizes in the disk usage dialog
- 2.48.7

-------------------------------------------------------------------
Fri Jun 29 12:13:46 UTC 2018 - mvidner@suse.com

- Added new "Services" filter, displayed only when at least one
  repository service is present (FATE#321043)

-------------------------------------------------------------------
Mon Jun 25 09:58:08 CEST 2018 - aschnell@suse.com

- use long long instead of int for free disk space with MiB base
- 2.48.6

-------------------------------------------------------------------
Mon Aug  7 14:50:35 UTC 2017 - mvidner@suse.com

- Adjusted to increased so version of the base library (bsc#1052217)
- Reduce build dependencies: Use individual libboost-*-devel
  packages instead of boost-devel (amajer)
- 2.48.5

-------------------------------------------------------------------
Tue Dec  6 10:20:58 UTC 2016 - cwh@suse.com

- Sort pkg list case-insensitively (bsc#1012294)
- Prevent double sorting (widget sorts by itself)
- 2.48.4

-------------------------------------------------------------------
Tue Nov 29 15:53:33 CET 2016 - shundhammer@suse.de

- Made menu hotkey unique for QA (bsc#1012604)
- 2.48.3

-------------------------------------------------------------------
Wed Oct  7 13:01:35 UTC 2015 - jreidinger@suse.com

- Fix unselecting patterns for installation (unify behavior with
  qt packager) (bnc#916568)
- 2.48.2

-------------------------------------------------------------------
Wed Sep 16 17:29:23 CEST 2015 - mvidner@suse.com

- Reorganized git for easier tarball creation:
  - RPM spec files are kept in git verbatim, not as templates
  - no longer call PREP_SPEC_FILES in CMakeLists.common
- No functional change but version bumped to push the package
  down the pipeline (boo#946079).

-------------------------------------------------------------------
Tue Sep  10:13:52 UTC 2015 - schubi@suse.com

- Handle mixed multiversion packages (fate#318778)
- Allow to delete single versions of multiversion packages.
  (bsc#943870)
- 2.48.0

-------------------------------------------------------------------
Wed Jul  8 08:47:43 UTC 2015 - mvidner@suse.com

- Added option "Dependencies/Install Recommended Packages",
  (PKGMGR_RECOMMENDED) (boo#900853).
- Changed "Dependencies/Install Recommeded Packages for Already
  Installed Packages" from an option to a command (boo#902394).
- 2.47.0

-------------------------------------------------------------------
Tue Jan 20 16:13:52 UTC 2015 - mvidner@suse.com

- Fixed building with cmake 3.1 (PREFIX in spec, boo#911875).
- 2.46.2

-------------------------------------------------------------------
Mon Jul 28 11:45:50 UTC 2014 - mvidner@suse.com

- Recommend this package when yast2-packager and libyui-ncurses are
  installed (bnc#888300)
- 2.46.1

-------------------------------------------------------------------
Wed Jan  8 22:06:52 CET 2014 - mvidner@suse.com

- adjusted to libyui so version 6
- 2.46.0

-------------------------------------------------------------------
Wed Nov 20 13:04:31 CET 2013 - gs@suse.de

- Fixed typos in help text, rephrase text (bnc #839689)
- Version 2.45.0

-------------------------------------------------------------------
Wed Jul 31 15:47:16 CEST 2013 - gs@suse.de

- Online Update: show multi version packages correctly
- Version 2.44.4

-------------------------------------------------------------------
Tue Jul 24 11:56:24 CEST 2013 - gs@suse.de

- Online Update: improve help, show column 'Kind' beside 'Name',
  Package Selector: get lists of orphaned, suggested, recommended
  and unneeded packages correctly
- Version 2.44.3

-------------------------------------------------------------------
Thu Jul 11 14:06:27 CEST 2013 - gs@suse.de

- Online Update: show irrelevant patches only in list 'All Patches',
  improve handling of the patch status, enhance help text
- Version 2.44.2

-------------------------------------------------------------------
Wed Jul  3 14:18:13 CEST 2013 - gs@suse.de

- remove webpin search from configuration menu (bnc#821866),
  catch exception of sysconfig write (bnc #827608)
- Version 2.44.1

-------------------------------------------------------------------
Thu Jun 27 12:13:36 CEST 2013 - gs@suse.de

- Show and handle multiple versions of packages correctly 
  (bnc #822962)
- Version 2.44.0

-------------------------------------------------------------------
Fri May 10 10:40:00 UTC 2013 - bjoern.esser@gmail.com

- use a common toplevel CMakeLists.txt
- fix building *-doc pkgs
- introduce bootstrap.sh
- Version 2.43.6

-------------------------------------------------------------------
Tue May  7 13:11:05 CEST 2013 - gs@suse.de

- Cast return of setCandidate() to bool (due to libzypp changes)

-------------------------------------------------------------------
Mon May  6 12:13:59 UTC 2013 - bjoern.esser@gmail.com

- use SONAME from libyui instead of VERSION.cmake
- V 2.43.5

-------------------------------------------------------------------
Thu Feb 21 09:44:08 CET 2013 - gs@suse.de
- Show patch descriptions correctly (bnc #803466)
- V 2.43.4

-------------------------------------------------------------------
Tue Jan 22 11:43:43 CET 2013 - gs@suse.de

- Bug-fix for package search (concerning package summary) 
- V 2.43.3

-------------------------------------------------------------------
Wed Dec 12 11:05:08 CET 2012 - gs@suse.de

- Improve help text for recommended packages, fix typos
- V 2.43.2

-------------------------------------------------------------------
Wed Oct 24 16:55:45 CEST 2012 - gs@suse.de

- Save settings from 'Dependency' menu (bnc # 766598)
- V 2.43.1

-------------------------------------------------------------------
Thu Oct  4 11:29:12 CEST 2012 - gs@suse.de

- NCPkgTable: bug-fix for sorting the list of packages
- Show function keys in bottom line correctly

- Version 2.43.0

-------------------------------------------------------------------
Fri Sep  7 13:51:19 CEST 2012 - tgoettlicher@suse.de

- Version 2.42.2

-------------------------------------------------------------------
Tue Sep  4 14:36:48 CEST 2012 - tgoettlicher@suse.de

- Fixed requirements in doc spec file

-------------------------------------------------------------------
Tue Jun 19 10:05:44 CEST 2012 - gs@suse.de

- Fixed crash while starting the package selector (bnc #767619)

-------------------------------------------------------------------
Tue May  8 14:29:44 CEST 2012 - gs@suse.de

- Bug-fix for typo in help text (bnc #759100)
- add filter for recommended, suggested, orphaned or unneeded
  packages ('Package Classification in 'Filter' list)
- respect locale setting when sorting the list of packages
- 2.22.6

-------------------------------------------------------------------
Tue Apr 17 11:06:51 CEST 2012 - gs@suse.de

- Merged text from proof-read
- 2.22.5

-------------------------------------------------------------------
Tue Mar 27 13:59:56 CEST 2012 - gs@suse.de

- Select correct package version and vendor for update (bnc#704123)
- remove libxcrypt-devel from BuildRequires
- 2.22.4

-------------------------------------------------------------------
Wed Mar 14 13:42:38 CET 2012 - gs@suse.de

- Online Update: possibility to search in patch summary, improve
  formatting of patch descriptions
- 2.22.3

-------------------------------------------------------------------
Tue Mar  6 13:25:45 CET 2012 - gs@suse.de

- Better formatting also for notify messages (bnc #746876)
- 2.22.2

-------------------------------------------------------------------
Thu Mar  1 14:34:21 CET 2012 - gs@suse.de

- Better formatting of package and patch descriptions (bnc #691572)
- 2.22.1

-------------------------------------------------------------------
Tue Jan 17 13:55:34 CET 2012 - gs@suse.de

- Confirmed license
- 2.22.0

-------------------------------------------------------------------
Fri Nov 25 12:22:31 UTC 2011 - coolo@suse.com

- add libtool as buildrequire to avoid implicit dependency

-------------------------------------------------------------------
Tue Oct 25 14:25:38 CEST 2011 - gs@suse.de

- Set action 'Show Summary' correctly (menu 'Configuration',
  'Action after Package Installation')
- 2.21.2

-------------------------------------------------------------------
Tue Aug  2 17:32:01 UTC 2011 - lslezak@suse.cz

- added new ignoreAlreadyRecommended solver option to
  the dependencies submenu (bnc#668588)
- 2.21.1

-------------------------------------------------------------------
Tue Apr 26 11:10:46 CEST 2011 - gs@suse.de

- Adjust NCTree params, require latest libyui
- V 2.21.0

-------------------------------------------------------------------
Wed Feb  9 14:22:09 CET 2011 - gs@suse.de

- Require latest libyui
- V 2.20.3

-------------------------------------------------------------------
Wed Feb  2 14:44:00 CET 2011 - gs@suse.de

- Internal: code cleanup (esp. NCPackageSelector, NCPkgTable),
  require latest libyui
- V 2.20.2

-------------------------------------------------------------------
Fri Jan  7 16:26:05 CET 2011 - tgoettlicher@suse.de

- Fixed incompatibilities caused by checkboxes for treewidgeet
- 2.20.1

-------------------------------------------------------------------
Thu Nov 11 13:27:44 CET 2010 - gs@suse.de

- Improve help text for status information and adjust status for
  languages
- 2.20.0

-------------------------------------------------------------------
Thu Aug 19 10:52:26 CEST 2010 - gs@suse.de

- Show error popup if searching for packages throws an exception
  (bnc #615102)
- 2.19.5

-------------------------------------------------------------------
Tue Jul 27 10:59:23 CEST 2010 - gs@suse.de

- Show all patterns in 'Filter/Patterns' list
  (bug-fix for bnc#624996)
- 2.19.4

-------------------------------------------------------------------
Wed Jun  9 09:59:56 CEST 2010 - gs@suse.de

- Use ncursesw6-config to get includes for ncurses6 library
- 2.19.3

-------------------------------------------------------------------
Wed May 26 13:43:53 CEST 2010 - gs@suse.de

- Use ncurses6 library (adjust INCLUDES in Makefile.am, require
  latest yast2-ncurses - bnc #607767)
- 2.19.2

-------------------------------------------------------------------
Tue May 11 13:44:59 CEST 2010 - gs@suse.de

- Add options for dependency solver:
  * cleanup when deleting packages
  * allow vendor change
- 2.19.1

-------------------------------------------------------------------
Mon Dec 14 18:40:17 CET 2009 - kmachalkova@suse.cz

- Update status of dependent packages when the status of selected
  package changes (redraw corresponding column - bnc#561337)
- 2.19.0

-------------------------------------------------------------------
Thu Nov  5 09:04:34 CET 2009 - gs@suse.de

- Start with correct filter view on option `repoMode (repositories)
  and `summaryMode (installation summary) (bnc #548437)

-------------------------------------------------------------------
Wed Jul 22 15:38:20 CEST 2009 - kmachalkova@suse.cz

- Start webpin client from 'Configuration' menu (FaTE #306928)

-------------------------------------------------------------------
Wed May 27 15:15:42 CEST 2009 - ma@suse.de

- Remove use of deprecated Package::filenames.
- 2.18.4

-------------------------------------------------------------------
Wed May 27 12:07:31 CEST 2009 - gs@suse.de

- Sorting the package list by size works correctly (bnc#437217)
- 2.18.3

-------------------------------------------------------------------
Wed May  6 12:01:32 CEST 2009 - kmachalkova@suse.cz

- Speeding up scrolling big package lists left/right (bnc#498267)
- 2.18.2

-------------------------------------------------------------------
Mon Mar 30 16:04:53 CEST 2009 - kmachalkova@suse.cz

- Do not implicitly search for matching keywords (added a new switch
  into search options to include/exclude keywords) (bnc#470069)

-------------------------------------------------------------------
Thu Mar 19 14:49:36 CET 2009 - gs@suse.de

- Add name of source package to technical details view

-------------------------------------------------------------------
Thu Feb 19 13:33:58 CET 2009 - kmachalkova@suse.cz

- New menu for launching repo manager and YOU configuration
- New sub-menu for configuring PKGMGR_ACTION_AT_EXIT sysconfig
  variable
- Focus newly created table/input field after switching between filter
  views
- 2.18.1

-------------------------------------------------------------------
Tue Jan 20 17:55:52 CET 2009 - kmachalkova@suse.cz

- Fixed weird behaviour of left/right arrow keys (bnc#467586)
- Speeding up displaying big lists (repository filter & co.) using
  overloaded addItem from parent class - requires new y2-ncurses
  (bnc#467586)
- 2.18.0

-------------------------------------------------------------------
Tue Jan  6 12:49:02 CET 2009 - kmachalkova@suse.cz

- Fixed crash after pressing some keys (left, right, backspace)
  handled by parent class of NCPkgTable (bnc#462961)
- Make matching exact string in package search really exact
  (bnc#459719)

-------------------------------------------------------------------
Thu Dec  4 17:33:49 CET 2008 - kmachalkova@suse.cz

- Installed patterns/patches are marked as 'i' (bnc#442484)
- Adjusted switching between pattern states (bnc#445415 for ncurses)
- Enables sorting of pkg tables (partially bnc#437217)
- 2.17.11

-------------------------------------------------------------------
Fri Nov  7 17:04:40 CET 2008 - kmachalkova@suse.cz

- Sort patterns according to order AND category (bnc#439088)
- 2.17.10

-------------------------------------------------------------------
Thu Nov  6 14:03:53 CET 2008 - gs@suse.de

- YOU layout improved (enough space for download size)
- Always update the package table after dependency popup is shown
- Increase width of dependency popup (bnc #441414)
- 2.17.9

-------------------------------------------------------------------
Wed Nov  5 14:15:01 CET 2008 - gs@suse.de

- Internal change: delete NCPkgPatchSearch popup correctly

-------------------------------------------------------------------
Thu Oct 23 19:14:46 CEST 2008 - kmachalkova@suse.cz

- Added explanation of 'satisfied' (:-)) pattern/language
  status (bnc#432528)
- Exclude readonly directories from the checking of available
  diskspace(bnc#384368)
- 2.17.8

-------------------------------------------------------------------
Wed Oct 22 12:56:04 CEST 2008 - gs@suse.de

- Show a "Searching..." popup during package search
- Warning message added to disk error popup
- Internal changes: disk space testing enabled, comments added

-------------------------------------------------------------------
Wed Oct 15 14:34:57 CEST 2008 - sh@suse.de

- Require latest libyui-devel (API change!)
- V 2.17.7

-------------------------------------------------------------------
Wed Aug  6 21:42:43 CEST 2008 - kmachalkova@suse.cz

- Show "Start repository manager" menu only when requested by
  `opt(`repoMgr) flag i.e. not in installation phase (bnc#381956)
- Added filtering packages by status (bnc#384085)
- Internal changes (YOU help, pkg selector modes)
- 2.17.6

-------------------------------------------------------------------
Wed Jul 23 16:55:55 CEST 2008 - kmachalkova@suse.cz

- Added pkg search modes (contains, regexp etc.) selection (uses
  zypp::PoolQuery)
- Search view is now default (bnc#404694)
- Reset info text area on switching to/from search filter

-------------------------------------------------------------------
Wed Jul 23 16:12:56 CEST 2008  ma@suse.de

- Remove references to obsolete freshens dependencies.
- 2.17.5

-------------------------------------------------------------------
Mon Jul 21 15:28:38 CEST 2008 - kmachalkova@suse.cz

- Some look&feel fixes
  * Show locale (language) description
  * Show repository URL in the description area (not in the table)
  * Show how many packages has been found in this search
- Experimental support for patch searching using zypp::PoolQuery
- 2.17.4

-------------------------------------------------------------------
Thu Jul 17 11:42:54 CEST 2008 - ma@suse.de

- Remove obsolete references to Script/Message/Atom

-------------------------------------------------------------------
Wed Jun 25 13:50:33 CEST 2008 - kmachalkova@suse.cz

- Focus the button (instead of text area) and make closing the dialog
  possible with single keypress if applicable (bnc#397393)
- Fixed keyboard shortcut (bnc#402349)
- 2.17.3

-------------------------------------------------------------------
Wed Jun 11 13:02:53 CEST 2008 - kmachalkova@suse.cz

- Use zypp::PoolQuery to filter packages by repositories
- Use zypp::PoolQuery to search in packages
- Search filter: search directly by hitting Enter on search field
- Update label and the description when switching between repositories
  (bnc#397388)
- 2.17.2

-------------------------------------------------------------------
Tue Jun 10 16:02:30 CEST 2008 - sh@suse.de

- Now using renamed ::setPreferredSize() calls rather than old
  setNiceSize()
- Fixed broken YaST2 logo headers in some source files
- Removed utterly wrong maintainer: ma@suse.de  lines
- V 2.17.1

-------------------------------------------------------------------
Tue Jun 10 14:58:01 CEST 2008 - gs@suse.de

- Online Update: add preselected patches to the list of
  needed patches

-------------------------------------------------------------------
Wed Jun  4 12:13:54 CEST 2008 - gs@suse.de

- Improve dependency popup: show solution details (NCRichText),
  only add NCSpacing if there's enough space

-------------------------------------------------------------------
Thu May 29 10:12:08 CEST 2008 - gs@suse.de

- Show the status of a language pattern and make installation
  possible (bnc #389722)
- 2.16.13

-------------------------------------------------------------------
Wed May 28 15:55:28 CEST 2008 - kmachalkova@suse.cz

- Do not create pop-up dialogs on the stack (disk space, deps), this
  may lead to segfault (bnc#384471) and/or the latest pop-up being
  always on the top (bnc#384467)
- 2.16.12

-------------------------------------------------------------------
Wed May 21 10:33:43 CEST 2008 - gs@suse.de

- YOU: correct condition for unneeded patches
- 2.16.11

-------------------------------------------------------------------
Tue May 20 12:19:41 CEST 2008 - gs@suse.de

-  update the pattern status after the initial solver run,
   status for "installed" patterns/patches is ':-)',
   correct help text and action menu for YOU

-------------------------------------------------------------------
Wed May  7 11:04:00 CEST 2008 - gs@suse.de

- internal changes: remove remainings of old style logging,
  rearrange inclusion of header files
- 2.16.10

-------------------------------------------------------------------
Tue May  6 15:39:05 CEST 2008 - gs@suse.de

- YOU: filter name for satisfied patches is 'Unneeded' (like qt),
       use enum for patch filters,
- Do the initial solver run before showing the default list

-------------------------------------------------------------------
Mon May  5 14:31:15 CEST 2008 - kmachalkova@suse.cz

- Improved YOU layout, showing YOU help ( by gs )
- The rest of deprecated libzypp stuff removed (by gs)
- PkgMenuExtras: correct ret. value to fix build (by coolo)
- 2.16.9

-------------------------------------------------------------------
Mon Apr 28 17:34:54 CEST 2008 - kmachalkova@suse.cz

- Locale (prev. Language) support + displaying locale-related pkgs
  re-enabled
- Correctly replace filter description area when switching between
  filters (bnc#377857)
- 2.16.8

-------------------------------------------------------------------
Mon Apr 21 15:22:01 CEST 2008 - kmachalkova@suse.cz

- Pattern content (required, recommended, suggested pkgs) visible
  again
- Show no. of installed vs. total pkgs for a pattern
- 2.16.7

-------------------------------------------------------------------
Mon Apr 21 10:58:04 CEST 2008 - jsrain@suse.cz

- fixed textdomain

-------------------------------------------------------------------
Sat Apr 12 09:24:37 CEST 2008 - coolo@suse.de

- adapt to latest libzypp

-------------------------------------------------------------------
Thu Apr  3 23:08:18 CEST 2008 - coolo@suse.de

- adapt to latest libzypp

-------------------------------------------------------------------
Tue Apr  1 11:02:21 CEST 2008 - jsrain@suse.cz

- fixed textdomain

-------------------------------------------------------------------
Mon Mar 31 17:31:55 CEST 2008 - kmachalkova@suse.cz

- Launch repository manager from the menu (Extras) - return `repo_mgr
  symbol from the main `PackageSelector UI loop (FaTE #302517)
- 2.16.6

-------------------------------------------------------------------
Thu Mar 27 17:20:23 CET 2008 - kmachalkova@suse.cz

- UI refactoring branch merged back to trunk
- 2.16.5

-------------------------------------------------------------------
Tue Mar 25 20:11:36 CET 2008 - coolo@suse.de

- adapt to libzypp 4.6
- V 2.16.4

-------------------------------------------------------------------
Wed Feb 27 16:20:41 CET 2008 - coolo@suse.de

- buildrequire ycp bindings

-------------------------------------------------------------------
Mon Feb 25 14:25:51 CET 2008 - sh@suse.de

- Provide yast2_ui_pkg in .spec file (bnc #363958)
- V 2.16.3

-------------------------------------------------------------------
Wed Feb 20 13:31:34 CET 2008 - coolo@suse.de

- remove self made logging, use UI

-------------------------------------------------------------------
Fri Feb 15 17:33:00 CET 2008 - coolo@suse.de

- compile against libzypp trunk - language support pending
  (#ifed out - want to make sure it works before we spend
  too much time into it)

-------------------------------------------------------------------
Tue Feb 12 11:06:49 CET 2008 - kmachalkova@suse.cz

-  Initial version splitted from yast2-ncurses 2.16.15
-  2.16.0